Bug 385951 - Enhancement: Trusted Interface list cannot be selected when only using a keyboard.
Summary: Enhancement: Trusted Interface list cannot be selected when only using a keyb...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-15 23:05 UTC by ray hammond
Modified: 2009-01-09 05:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:13:47 UTC


Attachments (Terms of Use)
Test case for keyboard navigation problem. (2.55 KB, patch)
2007-11-20 15:17 UTC, Thomas Woerner
no flags Details | Diff

Description ray hammond 2007-11-15 23:05:39 UTC
Description of problem:
Unable to navigate to the Trusted Interface list, using only the keyboard.  I
have no mouse :-(.

Version-Release number of selected component (if applicable):
1.0.8

How reproducible:
Every time

Steps to Reproduce:
1. Within a shell, logged on as root, start system-config-firewall.
2. Press OK to close the start-up form.
3. From the list on the left hand side select the 'Trusted Interface' option.
4. Press tab.

Actual results:
The focus appears to remain in the left hand list.

Expected results:
The focus should move to the Trusted Interface list.

Additional info:

Comment 1 Thomas Woerner 2007-11-20 15:17:40 UTC
Created attachment 265031 [details]
Test case for keyboard navigation problem.

Because of the sorted column, there is a focus problem:

Steps to Reproduce:
   The button on the left has the focus.
1. Use the tab key to get the focus to the treeview.
   The header of second column is selected (it is sortable).
2. Go one row down and one column left with the cursor keys.
   The first checkbox in the first column is now selected.
3. Use the tab key to get back to the button.
4. Press the tab key to get back to the treeview (not working).

BTW: The sort indicator is not visible anymore since 2.12.0.

Comment 2 Thomas Woerner 2007-11-20 15:19:53 UTC
Reassigning to gtk2.

Comment 3 Matthias Clasen 2007-11-20 15:38:35 UTC
Re: comment #0: Works fine here, with system-config-firewall and 2.12.1.

I can reproduce the focus problem with the testcase in comment #1 though.




Comment 4 Matthias Clasen 2007-11-20 15:41:03 UTC
Please file two upstream bug report about this in bugzilla.gnome.org,
one about the focus issue and one about the sort indicator issue.



Comment 5 Matthias Clasen 2007-11-20 16:46:54 UTC
I was able to work around the sort indicator issue by simplifying your python
demo, btw:

column = gtk.TreeViewColumn("Text1", gtk.CellRendererText(), text=1)
treeview.append_column(column)
column.set_sort_column_id(1)

This gives me nicely working sort indicators. 

Comment 6 Bug Zapper 2008-11-26 08:28:41 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-01-09 05:13:47 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.